# runtimeContext

Cloud context information from eBPF runtime sensor.

### Examples

```graphql
type RuntimeContext {
  provider: String
  accountId: String
  region: String
  clusterName: String
  namespace: String
  containerRuntime: String
}
```

### Fields

| Field                     | Description              | Supported fields |
| ------------------------- | ------------------------ | ---------------- |
| provider `String`         | Cloud provider name      |                  |
| accountId `String`        | Cloud account identifier |                  |
| region `String`           | Cloud region             |                  |
| clusterName `String`      | Kubernetes cluster name  |                  |
| namespace `String`        | Kubernetes namespace     |                  |
| containerRuntime `String` | Container runtime type   |                  |

### References

#### Fields with this object:

* [{} RuntimeInfo.cloudContexts](/api-documentation/api-reference/api--issue/types/objects/runtime-info.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/runtime-context.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
